Bug 617252 - add autoregroup information
add autoregroup information
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Grid_User_Guide (Show other bugs)
1.2
All Linux
medium Severity medium
: 1.3
: ---
Assigned To: Lana Brindley
Lubos Trilety
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-22 11:24 EDT by Jon Thomas
Modified: 2013-10-23 19:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 16:14:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Thomas 2010-07-22 11:24:26 EDT
We need to add some text to describe autoregroup behavior for users with no group and submitters to internal nodes.

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_MRG/1.3/html/Grid_User_Guide/sect-Grid_User_Guide-User_Priorities_and_Negotiation-Hierarchical_Fair_Share_HFS.html

change 

2) The autoregroup feature allows groups to use quota that is unused by other groups. To enable autoregroup for a group, set the GROUP_AUTOREGROUP_group configuration variable to TRUE. Autoregroup works in a hierarchy. Subgroups with the same parent get first chance at slots that are unused by their subgroup peers. If these slots cannot by used, they are passed up the group hierarchy, as long as autoregroup = TRUE is enabled at the higher levels: 

to

2) The autoregroup feature allows groups to use quota that is unused by other groups. To enable autoregroup for a group, set the GROUP_AUTOREGROUP_group configuration variable to TRUE. Autoregroup works in a hierarchy. Subgroups with the same parent get first chance at slots that are unused by their subgroup peers. If these slots cannot by used, they are passed up the group hierarchy, as long as autoregroup = TRUE is enabled at the higher levels. There are two situations where behavior is slightly different. The first situation is submitters who do not submit jobs with "+Accounting_Group". These submitters fall into a pool that has autoregroup=true behavior. Note that these jobs will not run unless the top level group quotas sum to less than 1.0. The second situation is submitters against groups that have children groups. This pool also will exhibit autoregroup = true behavior. The extend to which these submitters can claim unused slots is determined by the parent group's autoregroup hierarchy.
Comment 1 Lana Brindley 2010-08-24 22:48:42 EDT
Added:

<para>
	This behavior is slightly different in two situations:
</para>
	<itemizedlist>
		<listitem>
			<para>
				Where a job is not submitted with <parameter>+Accounting_Group</parameter> specified. These jobs fall into a pool that has <command>autoregroup = true</command> set. These jobs will not run unless the top level group quotas sum to less than 1.0.
			</para>
		</listitem>
		<listitem>
			<para>
				Where a job is submitted against a group that has children groups. This pool will exhibit <command>autoregroup = true</command> behavior. The extent to which these submitters can claim unused slots is determined by the parent group's autoregroup hierarchy.
			</para>
		</listitem>
	</itemizedlist>

LKB
Comment 2 Lubos Trilety 2010-09-02 10:00:14 EDT
Chapter HFS item 2 was checked.

>>> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.